Bug 1571996 - Capsule upgrade from 6.2 to 6.3 fails with error during pulp migration: Cursor not found, cursor id: 164658109027
Summary: Capsule upgrade from 6.2 to 6.3 fails with error during pulp migration: Curso...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 22:16 UTC by Paul Dudley
Modified: 2021-04-06 17:49 UTC (History)
12 users (show)

Fixed In Version: pulp-rpm-2.16.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 18:52:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 3654 0 High CLOSED - CURRENTRELEASE CursorNotFound during checksums_and_templates migration 2018-07-09 15:06:25 UTC

Description Paul Dudley 2018-04-25 22:16:47 UTC
Description of problem:
Upgrading Satellite 6.2 to 6.3.1 fails during pulp migration:
---
[DEBUG 2018-04-25 10:53:10 main] Found the following type definitions that were not present in the update collection [node, repository]
[DEBUG 2018-04-25 10:53:10 main] Content types loaded.
[DEBUG 2018-04-25 10:53:12 main] Applying pulp_rpm.plugins.migrations version 300

[DEBUG 2018-04-25 11:18:47 main] Applying migration pulp_rpm.plugins.migrations.0300_upstream_0033_checksums_and_templates failed.
[DEBUG 2018-04-25 11:18:47 main] Halting migrations due to a migration failure.
[DEBUG 2018-04-25 11:18:47 main] Cursor not found, cursor id: 164658109027
[DEBUG 2018-04-25 11:18:47 main] Traceback (most recent call last):
[DEBUG 2018-04-25 11:18:47 main]   File "/usr/lib/python2.7/site-packages/pulp/server/db/manage.py", line 235, in main
[DEBUG 2018-04-25 11:18:47 main]     return _auto_manage_db(options)
[DEBUG 2018-04-25 11:18:47 main]   File "/usr/lib/python2.7/site-packages/pulp/server/db/manage.py", line 302, in _auto_manage_db
[DEBUG 2018-04-25 11:18:47 main]     migrate_database(options)
[DEBUG 2018-04-25 11:18:47 main]   File "/usr/lib/python2.7/site-packages/pulp/server/db/manage.py", line 129, in migrate_database
[DEBUG 2018-04-25 11:18:47 main]     update_current_version=not options.test)
[DEBUG 2018-04-25 11:18:47 main]   File "/usr/lib/python2.7/site-packages/pulp/server/db/migrate/models.py", line 186, in apply_migration
[DEBUG 2018-04-25 11:18:47 main]     migration.migrate()
[DEBUG 2018-04-25 11:18:47 main]   File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/migrations/0300_upstream_0033_checksums_and_templates.py", line 47, in migrate
[DEBUG 2018-04-25 11:18:47 main]     for rpm in rpm_collection.find({}, ['checksum', 'checksumtype', 'repodata']):
[DEBUG 2018-04-25 11:18:47 main]   File "/usr/lib64/python2.7/site-packages/pymongo/cursor.py", line 1097, in next
[DEBUG 2018-04-25 11:18:47 main]     if len(self.__data) or self._refresh():
[DEBUG 2018-04-25 11:18:47 main]   File "/usr/lib64/python2.7/site-packages/pymongo/cursor.py", line 1039, in _refresh
[DEBUG 2018-04-25 11:18:47 main]     self.__max_await_time_ms))
[DEBUG 2018-04-25 11:18:47 main]   File "/usr/lib64/python2.7/site-packages/pymongo/cursor.py", line 903, in __send_message
[DEBUG 2018-04-25 11:18:47 main]     codec_options=self.__codec_options)
[DEBUG 2018-04-25 11:18:47 main]   File "/usr/lib64/python2.7/site-packages/pymongo/helpers.py", line 114, in _unpack_response
[DEBUG 2018-04-25 11:18:47 main]     raise CursorNotFound(msg, 43, errobj)
[DEBUG 2018-04-25 11:18:47 main] CursorNotFound: Cursor not found, cursor id: 164658109027
[ERROR 2018-04-25 11:18:48 main] su - apache -s /bin/bash -c pulp-manage-db failed! Check the output for error!
[ERROR 2018-04-25 11:18:48 main] Upgrade step migrate_pulp failed. Check logs for more information.
[DEBUG 2018-04-25 11:18:48 main] Exit with status code: 1 (signal was 1)
[ERROR 2018-04-25 11:18:48 main] Errors encountered during run:
[ERROR 2018-04-25 11:18:48 main] su - apache -s /bin/bash -c pulp-manage-db failed! Check the output for error!
---

Components:
satellite-capsule-6.3.1-3.el7sat.noarch
mongodb-2.6.11-2.el7sat.x86_64
mongodb-server-2.6.11-2.el7sat.x86_64
python-mongoengine-0.10.5-2.el7sat.noarch
python-pymongo-3.2-1.el7sat.x86_64
pulp-server-2.13.4.9-1.el7sat.noarch

Comment 2 pulp-infra@redhat.com 2018-05-02 18:32:37 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2018-05-02 18:32:40 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2018-05-04 15:02:17 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2018-05-07 12:02:27 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2018-05-11 12:32:19 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2018-05-11 13:02:07 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 8 pulp-infra@redhat.com 2018-07-09 15:06:26 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 10 Bryan Kearney 2018-10-16 18:52:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.